Skip to main content

Batch Query User Profiles

Retrieve information for specified users in bulk, including both basic user information and extended information.

Enable the Service​

Before calling this API, enable the profile hosting service by submitting a ticket.

Request Method​

POST: https://data center domain/user/profile/batch/query.json

Rate Limit: 100 requests per second

Signature Rule: All server API requests require signature verification. See API Request Signature for details.

Request Parameters​

The HTTP request body uses application/x-www-form-urlencoded format and supports the following form parameters:

ParameterTypeRequiredDescription
userIdArrayYesUser IDs (maximum 100 per request)

Request Example​

POST /user/profile/batch/query.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/x-www-form-urlencoded

userId=u1&userId=u2

Response​

The HTTP response body contains a JSON object with the following structure:

FieldTypeDescription
codeNumberStatus code (200 indicates success)
userListJSONArrayList of user information
userList structure

userList structure details:

FieldTypeDescription
userList[i].userIdStringUser ID
userList[i].versionlongUser profile version number
userList[i].userProfileStringBasic user information (JSON format)
userList[i].userExtProfileStringExtended user information (JSON format)

userProfile keys:

KeyTypeLength/RangeDescription
uniqueIdStringMax 32 charactersUser application ID
nameStringMax 32 charactersNickname
portraitUriStringMax 128 charactersAvatar URL
emailStringMax 128 charactersEmail address
birthdayStringMax 32 charactersBirthday
genderIntValues:
  • 0: Unknown
  • 1: Male
  • 2: Female
Gender
locationStringMax 32 charactersLocation
roleInt0-100Role
levelInt0-100Level

Response Example​

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code": 200,
"userList": [
{
"userId": "u1",
"version": 12343433499942,
"userProfile": {"birthday":"20011221","level":2},
"userExtProfile": {"ext_1":"testext"}
},
{
"userId": "u2",
"userProfile": {"gender":1,"level":5}
}
]
}